Subject: Re: [PATCH net-next v1] page_pool: check for dma_sync_size earlier

From: Furong Xu <[email-masked]>
Date: Fri, 11 Oct 2024 10:14:55 +0800

On Thu, 10 Oct 2024 19:53:39 +0800, Yunsheng Lin <[email-masked]> wrote:

> Is there any reason that those drivers not to unset the PP_FLAG_DMA_SYNC_DEV
> when calling page_pool_create()?
> Does it only need dma sync for some cases and not need dma sync for other
> cases? if so, why not do the dma sync in the driver instead?

The answer is in this commit:
https://git.kernel.org/netdev/net/c/5546da79e6cc